Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.ling
Interface HasWord

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  CategoryWordTag, CoreLabel, CyclicCoreLabel, LabeledWord, TaggedWord, Word, WordLemmaTag, WordTag

    public interface HasWord

extends Serializable

Something that implements the `HasWord` interface knows about words.

Author:
  Christopher Manning

Method Summary
`void` | `setWord(String word)` Set the word value for the label (if one is stored).
`String` | `word()` Return the word value of the label (or null if none).

Method Detail

### word

    String word()

  Return the word value of the label (or null if none).

  Returns:
    String the word value for the label

### setWord

    void setWord(String word)

  Set the word value for the label (if one is stored).

  Parameters:
    `word` - The word value for the label

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group